com.independentsoft.msg

## Enum TaskStatus

- java.lang.Object
- - java.lang.Enum<TaskStatus>
  - - com.independentsoft.msg.TaskStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TaskStatus>

      public enum TaskStatus
      extends java.lang.Enum<TaskStatus>

  Identifies the status types of a task item.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED` Specifies that the task is completed.
    `DEFERRED` Specifies that the task is deferred.
    `IN_PROGRESS` Specifies that the task is in progress.
    `NONE` None.
    `NOT_STARTED` Specifies that the task is not started.
    `WAITING_ON_OTHERS` Specifies that the task is waiting on others.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TaskStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_STARTED

          public static final TaskStatus NOT_STARTED

      Specifies that the task is not started.

    - #### IN_PROGRESS

          public static final TaskStatus IN_PROGRESS

      Specifies that the task is in progress.

    - #### COMPLETED

          public static final TaskStatus COMPLETED

      Specifies that the task is completed.

    - #### WAITING_ON_OTHERS

          public static final TaskStatus WAITING_ON_OTHERS

      Specifies that the task is waiting on others.

    - #### DEFERRED

          public static final TaskStatus DEFERRED

      Specifies that the task is deferred.

    - #### NONE

          public static final TaskStatus NONE

      None.

  - ### Method Detail

    - #### values

          public static TaskStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskStatus c : TaskStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null